mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.QualifiedAce

The class represents the eight most common ACE types:

F:System.Security.AccessControl.AceType.AccessAllowed F:System.Security.AccessControl.AceType.AccessAllowedCallback F:System.Security.AccessControl.AceType.AccessDenied F:System.Security.AccessControl.AceType.AccessDeniedCallback F:System.Security.AccessControl.AceType.SystemAudit F:System.Security.AccessControl.AceType. SystemAuditCallback F:System.Security.AccessControl.AceType.SystemAlarm F:System.Security.AccessControl.AceType. SystemAlarmCallback

Represents an access control entry (ACE).

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  Flags that specify information about the inheritance, inheritance propagation, and auditing conditions for the new access control entry (ACE).
  The use of the new ACE.
  The access mask for the ACE.
  The associated with the new ACE.
  true to specify that the new ACE is a callback type ACE.
  Opaque data associated with the new ACE. Opaque data is allowed only for callback ACE types. The length of this array must not be greater than the return value of the method.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the length, in bytes, of the binary representation of the current object. Use this length with the method before marshaling the ACL into a binary array.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Marshals the contents of the object into the specified byte array beginning at the specified offset.

  The byte array into which the contents of the object is marshaled. The offset at which to start marshaling.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Gets the maximum allowed length of an opaque data BLOB for callback access control entries (ACEs).

  The allowed length of an opaque data BLOB.

  true to specify that the object is a callback ACE type.